> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pipeline Stage Sequence



## OpenAPI

````yaml get /opportunity/pipeline/{pipeline_id}/stage/{stage_id}/automation-sequence
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/pipeline/{pipeline_id}/stage/{stage_id}/automation-sequence:
    get:
      tags:
        - Pipelines
      summary: Get Pipeline Stage Sequence
      operationId: >-
        get_pipeline_stage_sequence_opportunity_pipeline__pipeline_id__stage__stage_id__automation_sequence_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: pipeline_id
          in: path
          required: true
          schema:
            type: string
            title: Pipeline Id
        - name: stage_id
          in: path
          required: true
          schema:
            type: string
            title: Stage Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/PipelineStageSequenceDetail'
                  - type: 'null'
                title: >-
                  Response Get Pipeline Stage Sequence Opportunity Pipeline 
                  Pipeline Id  Stage  Stage Id  Automation Sequence Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PipelineStageSequenceDetail:
      properties:
        id:
          type: string
          title: Id
        pipelineStageId:
          type: string
          title: Pipelinestageid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        isActive:
          type: boolean
          title: Isactive
        pipelineExitPolicy:
          $ref: '#/components/schemas/PipelineStageExitPolicy'
        entryStepId:
          type: string
          title: Entrystepid
        steps:
          items:
            $ref: '#/components/schemas/PipelineSequenceStepDetail'
          type: array
          title: Steps
        transitions:
          items:
            $ref: '#/components/schemas/PipelineSequenceTransitionDetail'
          type: array
          title: Transitions
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
      type: object
      required:
        - id
        - pipelineStageId
        - isActive
        - pipelineExitPolicy
        - entryStepId
        - steps
        - transitions
        - createdDate
      title: PipelineStageSequenceDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineStageExitPolicy:
      type: string
      enum:
        - CANCEL_ON_EXIT
        - CONTINUE_AFTER_EXIT
      title: PipelineStageExitPolicy
    PipelineSequenceStepDetail:
      properties:
        id:
          type: string
          title: Id
        effectType:
          $ref: '#/components/schemas/EffectType'
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        displayOrder:
          type: integer
          title: Displayorder
        isActive:
          type: boolean
          title: Isactive
      type: object
      required:
        - id
        - effectType
        - displayOrder
        - isActive
      title: PipelineSequenceStepDetail
    PipelineSequenceTransitionDetail:
      properties:
        id:
          type: string
          title: Id
        fromStepId:
          type: string
          title: Fromstepid
        toStepId:
          type: string
          title: Tostepid
        condition:
          anyOf:
            - $ref: '#/components/schemas/PreviousEmailEventCondition'
            - type: 'null'
        isDefault:
          type: boolean
          title: Isdefault
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
      type: object
      required:
        - id
        - fromStepId
        - toStepId
        - isDefault
      title: PipelineSequenceTransitionDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EffectType:
      type: string
      enum:
        - SEND_SMS
        - SEND_EMAIL
        - CHANGE_STATUS
        - CREATE_TASK
        - ASSIGN_PROVIDER
        - WEBHOOK
        - WAIT
        - DECISION
      title: EffectType
    PreviousEmailEventCondition:
      properties:
        kind:
          type: string
          const: PREVIOUS_EMAIL_EVENT
          title: Kind
          default: PREVIOUS_EMAIL_EVENT
        event:
          $ref: '#/components/schemas/PreviousEmailEventKind'
      additionalProperties: false
      type: object
      required:
        - event
      title: PreviousEmailEventCondition
    PreviousEmailEventKind:
      type: string
      enum:
        - DELIVERED
        - OPENED
        - CLICKED
        - REPLIED
      title: PreviousEmailEventKind

````